Bug 82520 - Setting up an SMB printer fails with "You must choose a share, not a host"
Setting up an SMB printer fails with "You must choose a share, not a host"
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-printer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-01-22 20:11 EST by Marc Deslauriers
Modified: 2007-04-18 12:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-23 12:56:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marc Deslauriers 2003-01-22 20:11:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030115

Description of problem:
When trying to set up an SMB printer, I cannot use the "specify" button to set
the credentials. Here is what I'm doing:

1- Start System Settings/Printing
2- Click the "new" button
3- Click on the "forward" button
4- Leave the default name as-is, click on "forward"
5- Select "Networked Windows" from the drop down. The name of the windows
computer running winxp that's sharing the printer appears. When I click on the
arrow beside the name, nothing appears.
6- Click on the "Specify..." button
7- Fill out the appropriate information. Click on "ok". I get back to the screen
with the computer name in it. Nothing has changed.
8- Click on "Forward"
9- Get the error message "You must choose a share, not a host".

Version-Release number of selected component (if applicable):
phoebe 8.0.93

How reproducible:

Steps to Reproduce:
1. See description

Actual Results:  Error message

Expected Results:  I would expect the share name to appear in the window after
entering the correct credentials in the "specify" button.

Additional info:
Comment 1 Tim Waugh 2003-01-23 04:29:55 EST
So that's redhat-config-printer-0.6.35-1.

After finishing with the specify... dialog, you should have a new share listed
in the main browse screen; is it not there at all, or just not selected?

How about if you use lower-case rather than upper-case to specify the host name?
Comment 2 Marc Deslauriers 2003-01-23 07:40:47 EST
The new share never appears under the computer name. Only the computer name
still appears in the window.

I have tried both uppercase and lowercase information to no avail.

Another machine I have with RedHat Linux 7.3 works as expected with the same share.
Comment 3 Tim Waugh 2003-01-23 09:55:23 EST
Oh, I see it now.  Thanks for catching this.  Fixed package is
redhat-config-printer-0.6.39-1.  It will appear in rawhide in due course, but in
the mean time you can grab it from ftp://people.redhat.com/twaugh/tmp.
Comment 4 Marc Deslauriers 2003-01-23 10:21:18 EST
I've upgraded to 0.6.39-1. Unfortunately, I still get the same thing. The share
name never appears under the computer name.
Comment 5 Tim Waugh 2003-01-23 10:25:41 EST
If you run 'redhat-config-printer' from a terminal and try adding the printer,
do you get any output in the terminal?
Comment 6 Tim Waugh 2003-01-23 10:26:14 EST
Oh, by the way, did you make sure to install the .i386.rpm file (not just the
Comment 7 Marc Deslauriers 2003-01-23 10:35:49 EST
Yeah, it's installed:
[mdeslaur@linux mdeslaur]$ rpm -q redhat-config-printer

Here is what appears on the console just after the "Specify" dialog is filled out:

[mdeslaur@linux mdeslaur]$ redhat-config-printer
Traceback (most recent call last):
  File "/usr/share/printconf/util/addQueue.py", line 822, in smb_specify_clicked
   machine, sharename = match.groups ()
AttributeError: 'NoneType' object has no attribute 'groups'
Comment 8 Tim Waugh 2003-01-23 10:46:57 EST
Oops, please install the -gui package that I just uploaded. :-)
Comment 9 Marc Deslauriers 2003-01-23 12:54:06 EST
Everything's working great now, thank you!

Note You need to log in before you can comment on or make changes to this bug.